org.eclipse.jgit.transport

## Class NetRC.NetRCEntry

- java.lang.Object
- - org.eclipse.jgit.transport.NetRC.NetRCEntry

Enclosing class:
  NetRC

    public static class NetRC.NetRCEntry
    extends Object

.netrc file entry

### Field Summary

Fields
`String` `account` account netrc entry
`String` `login` login netrc entry
`String` `macbody` macro script body of macdef entry.
`String` `macdef` macdef netrc entry.
`String` `machine` machine netrc entry
`char[]` `password` password netrc entry

### Constructor Summary

Constructors
Constructor and Description
`NetRCEntry()` Default constructor

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### login

    public String login

login netrc entry

#### password

    public char[] password

password netrc entry

#### machine

    public String machine

machine netrc entry

#### account

    public String account

account netrc entry

#### macdef

    public String macdef

macdef netrc entry. Defines a macro. This token functions like the ftp macdef command functions. A macro is defined with the specified name; its contents begins with the next .netrc line and continues until a null line (consecutive new-line characters) is encountered. If a macro named init is defined, it is automatically executed as the last step in the auto-login process.

#### macbody

    public String macbody

macro script body of macdef entry.

### Constructor Detail

#### NetRCEntry

    public NetRCEntry()

Default constructor